---
title: MediaSessionActionDetails.action
slug: Web/API/MediaSessionActionDetails/action
tags:
  - API
  - Media
  - Media Session
  - Media Session API
  - MediaSessionActionDetails
  - Property
  - Reference
  - Session
  - action
  - details
---
<p>{{APIRef("Media Session API")}}</p>

<p><span class="seoSummary">The <code><strong>action</strong></code> property is the only required property {{domxref("MediaSessionActionDetails")}} dictionary, specifying the type of media session action which the action handler callback is being executed for.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>mediaSessionActionDetails</em> = { action: <em>actionType</em> };

let <em>actionType</em> = <em>mediaSessionActionDetails</em>.action;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} specifying which of the action types the callback is being invoked for:</p>

<p>{{page("/en-US/docs/Web/API/MediaSessionActionDetails", "action-types")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Session','#dom-mediasessionactiondetails-action','MediaSessionActionDetails.action')}}</td>
   <td>{{Spec2('Media Session')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaSessionActionDetails.action")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Media Session API</li>
 <li>Refer to the {{domxref("MediaSession")}} method {{domxref("MediaSession.setActionHandler", "setActionHandler()")}}</li>
</ul>
</div>
